BLK_EXECUTE_RQ(9)

NAME
blk_execute_rq - insert a request into queue for execution

SYNOPSIS

int blk_execute_rq (request_queue_t * q, struct gendisk * bd_disk, struct request * rq, int at_head);

ARGUMENTS

q   queue to insert the request in

bd_disk
    matching gendisk

rq  request to insert

at_head
    insert request at head or tail of queue

DESCRIPTION

Insert a fully prepared request at the back of the io scheduler queue for execution and wait for completion.